# norootforbuild

%define         realname        libmowgli
%define         soname          2

Name:           %{realname}%{soname}
Version:        0.9.0
Release:        1.pm.1.1
Summary:        Libmowgli is a class library containing performance and usability oriented extensions to C
License:        BSD
Group:          System/Libraries
URL:            http://www.atheme.org/projects/mowgli.shtml

Source:         http://distfiles.atheme.org/%{realname}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  pkg-config


%description
libmowgli is a class library containing performance and usability oriented
extensions to C.

It contains:
 - mowgli_alloc: A safe wrapper around malloc/free.
 - mowgli_argstack: Safe serialization of valists.
 - mowgli_assert: Various assertion routines that can be used.
 - mowgli_bitvector: Bitmasks with an unlimited level of precision.
 - mowgli_dictionary: A keyword-backed definition hashtable class.
 - mowgli_error_backtrace: Provide feedback to users on what caused the error they are recieving.
 - mowgli_exception: Assertions with user feedback.
 - mowgli_formatter: A simple token formatter which is sometimes useful.
 - mowgli_global_storage: A simple global storage library.
 - mowgli_hash: A portable implementation of the FNV-1 hash.
 - mowgli_heap: An optimistic heap-based memory allocator
 - mowgli_hook: A simple hooks API you can use for your application, which allows for hooks to provide both application data and user data.
 - mowgli_ioevent: Portable I/O completion ports for many OSes.
 - mowgli_list: A high performance linked lists implementation with O(1) scalability for most common operations.
 - mowgli_logger: An internal class for handling logging of exceptions.
 - mowgli_memorypool: A class which allows for memory pooling.
 - mowgli_module: A wrapper around dlopen(3) and dlsym(3).
 - mowgli_object: A simple class which provides reference counted pointers and polymorphism of structs.
 - mowgli_object_class: Classing and subclassing for objects.
 - mowgli_object_metadata: Metadata for objects.
 - mowgli_object_messaging: Messaging and signalling for objects.
 - mowgli_queue: A simple class which implements double-ended queues.
 - mowgli_random: A high performance psuedo-random number generator.
 - mowgli_signal: A wrapper for sigaction(2).
 - mowgli_spinlock: Portable spinlocks.

More classes will be added with later releases. Please contact
nenolod -at- atheme.org if you have suggestions on what should be 
implemented.

More information is available at http://www.atheme.org/projects/mowgli.shtml.


%package -n %{realname}-devel
Summary:	Include Files and Libraries mandatory for Development
Group:		Development/Languages/C and C++
Requires:	%{name} = %{version}

%description -n %{realname}-devel
This package contains the files needed to compile programs that use the
libmowgli library.


%prep
%setup -q -n %{realname}


%build
./autogen.sh
%configure
%__make %{?_smp_mflags}


%install
%makeinstall


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
%__rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_libdir}/%{realname}.so.*

%files -n %{realname}-devel
%defattr(-,root,root)
%doc AUTHORS COPYING README
%dir %{_includedir}/%{realname}
%{_includedir}/%{realname}/mowgli*.h
%{_libdir}/pkgconfig/%{realname}.pc
%{_libdir}/%{realname}.so


%changelog
* Sun Apr 17 2011 detlef@links2linux.de
- update to development branch <0.9.0>
* Fri Mar 18 2011 detlef@links2linux.de
- new upstream version <0.7.1>
* Fri Aug 14 2009 detlef@links2linux.de
- new upstream version <0.7.0>
* Sat Dec 22 2007 detlef@links2linux.de
- new upstream version <0.5.0>
* Mon Jul 30 2007 detlef@links2linux.de
- new upstream release <0.4.0>
* Mon Jul 23 2007 detlef@links2linux.de
- initial build
